
Name: phpldapadmin
Summary: Web-based tool for managing LDAP servers
Version: 1.2.6.6
Release:    1%{?dist}
License: GPLv2+
URL: https://www.phpldapadmin.org

Source0: https://github.com/leenooks/phpLDAPadmin/refs/tags/%{version}.tar.gz

Patch0: phpldapadmin-1.2.6-config.patch

BuildArch: noarch

Requires: httpd-filesystem, php(httpd), php-ldap
Requires: php-xml, php-gd, php-mbstring

Requires: php-date, php-gettext, php-hash, php-iconv
Requires: php-mhash, php-openssl, php-pcre, php-session, php-zlib


%description
PhpLDAPadmin is a web-based LDAP client.
It provides easy, anywhere-accessible, multi-language administration
for your LDAP server. Its hierarchical tree-viewer and advanced search
functionality make it intuitive to browse and administer your LDAP directory.

Since it is a web application, this LDAP browser works on many platforms,
making your LDAP server easily manageable from any location.

PhpLDAPadmin is the perfect LDAP browser for the LDAP professional
and novice alike. Its user base consists mostly of LDAP administration
professionals.

Edit %{_sysconfdir}/%{name}/config.php to change default (localhost) LDAP server
location and other things. Edit %{_sysconfdir}/httpd/conf.d/%{name}.conf to allow
access by remote web-clients.


%prep
%setup -q -n phpLDAPadmin-%{version}

cp config/config.php.example config/config.php

%patch 0 -p1


%build

find . \( -name "*.orig" -o -name "*~" -o -name .gitignore \) -print0 | \
								xargs -0 rm -f
find . -type f -print0 | xargs -0 chmod -x


%install
rm -rf %{buildroot}

install -d -m755 %{buildroot}%{_datadir}/%{name}
cp -a * %{buildroot}%{_datadir}/%{name}


pushd %{buildroot}%{_datadir}/%{name}
rm -rf doc/ INSTALL.md LICENSE README.md config/config.php.example
rm -rf tools/
find locale -name "*.po" -print0 | xargs -0 rm -f
popd


install -d -m755 %{buildroot}%{_sysconfdir}/%{name}

mv %{buildroot}%{_datadir}/%{name}/config/* \
	%{buildroot}%{_sysconfdir}/%{name}
rmdir %{buildroot}%{_datadir}/%{name}/config

UPS=$(echo %{_datadir}/%{name} | sed -e 's,^/,,' -e 's,[^/]*,..,g')
ln -s $UPS%{_sysconfdir}/%{name} \
	%{buildroot}%{_datadir}/%{name}/config

cat <<EOF >%{name}.conf

Alias /%{name} %{_datadir}/%{name}/htdocs
Alias /ldapadmin %{_datadir}/%{name}/htdocs

<Directory %{_datadir}/%{name}/htdocs>
  <IfModule mod_authz_core.c>
    Require local
  </IfModule>
  <IfModule !mod_authz_core.c>
    Order Deny,Allow
    Deny from all
    Allow from 127.0.0.1
    Allow from ::1
  </IfModule>
</Directory>

EOF

install -d %{buildroot}%{_sysconfdir}/httpd/conf.d
install -m644 %{name}.conf %{buildroot}%{_sysconfdir}/httpd/conf.d



%post
if [ $1 -eq 1 ]; then
    set @@@ `dd bs=128 count=1 </dev/urandom 2>/dev/null | md5sum`
    sed -i "/session\['blowfish'\] = null;/ {
	s/^[^\$]*\\\$/\$/
	s/null;/'$2';  # Autogenerated for `uname -n`/
    }"  %{_sysconfdir}/%{name}/config.php
fi


%files
%config %dir %{_sysconfdir}/%{name}
%attr(640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/*.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%{_datadir}/%{name}
%doc INSTALL.md LICENSE README.md config/config.php.example


%changelog
* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.6.6-1
- initial build
